//script for jack

void main( void )
{
preload_seq(341);
preload_seq(343);
preload_seq(347);
preload_seq(349);
if (&s2-aunt > 2)
{
 sp_hitpoints(&current_sprite, 50);
}
int &myrand;
sp_base_walk(&current_sprite, 340);
sp_speed(&current_sprite, 1);
sp_pseq(&current_sprite, 341);
sp_pframe(&current_sprite, 1);
sp_brain(&current_sprite, 16);
}

void talk( void )
{

 freeze(1);
 freeze(&current_sprite);
         choice_start()
(&s2-aunt == 1)         "向 Jack 问好"
(&s2-aunt == 1)         "向 Jack 表示感谢"
(&s2-aunt == 1)         "激怒 Jack"
(&s2-aunt == 3)         "叫 Jack 不要再欺负 Maria了"
(&s2-aunt == 3)         "骗 Jack 再去打 Maria"
         "离开"
         choice_end()

        if (&result == 1)
        {
        wait(400);
         say_stop("Jack， 你在干嘛呢？", 1);
        wait(400);
         say_stop("`6一边去一边去。", &current_sprite);
        }

        if (&result == 2)
        {
        wait(400);
         say_stop("真谢谢你让我留下。", 1);
        wait(400);
         say_stop("`6<喃喃地说>  明天就让你找地方搬出去。", &current_sprite);
        }
        if (&result == 3)
        {
        wait(400);
         say_stop("嘿 Jack！", 1);
        wait(400);
         say_stop("`6什么事？", &current_sprite);
        wait(400);
         say_stop("你白痴！", 1);
        wait(400);
         say_stop("`6既然敢骂我！看招！", &current_sprite);
sp_touch_damage(&current_sprite, 10);
sp_speed(&current_sprite, 2);
sp_brain(&current_sprite, 9);
sp_target(&current_sprite, 1):
        }

        if (&result == 4)
        {
        wait(400);
         say_stop("Jack.  虽然我知道我只是个客人，只是...", 1);
        wait(400);
         say_stop("`6怎么了？", &current_sprite);
        wait(400);
        say_stop("如果你再碰Maria的话，你的死期也不远了。", 1);
        wait(400);
         say_stop("`6看我敢不敢现在先碰碰你？！", &current_sprite);
        wait(400);
        say_stop("不好意思，我才不想被男人碰呢。但我认识这个叫 Milder 的皇家护卫...", 1);
        }

        if (&result == 5)
        {
        wait(400);
         say_stop("Jack.  猜猜谁又在说你坏话了...", 1);
        wait(400);
         say_stop("`6那个贱人吗？", &current_sprite);
        wait(400);
        say_stop("是啊，该让她看看你的厉害吧。", 1);
        wait(400);
         say_stop("`6好。", &current_sprite);
        wait(400);

       move_stop(&current_sprite, 8, 140, 1);
       move_stop(&current_sprite, 2, 140, 1);
       move_stop(&current_sprite, 4, 255, 1);
       move_stop(&current_sprite, 6, 256, 1);
       say_stop("`6亲爱的，过来一下好吗？", &current_sprite);
        wait(400);
 freeze(&temp2hold);

       say_stop("`#来了， Jack.",&temp2hold);
       move_stop(&temp2hold, 8, 140, 1);
       move_stop(&temp2hold, 2, 140, 1);
       move_stop(&temp2hold, 6, 310, 1);
       move_stop(&temp2hold, 4, 309, 1);
wait(500);
       say_stop("`#什么事？",&temp2hold);
wait(500);
       say_stop("`6没事，就这个", &current_sprite);

wait(500);

   playsound(9, 17050,0,0,0);
&save_x = sp_x(&temp2hold, -1);
&save_y = sp_y(&temp2hold, -1);
&save_y -= 40; 
 int &mcrap = create_sprite(&save_x, &save_y, 5, 188, 1);
 sp_seq(&mcrap, 188);
wait(100);
   playsound(9, 22050,0,0,0);
 int &mcrap = create_sprite(&save_x, &save_y, 5, 189, 1);
 sp_seq(&mcrap, 189);
wait(100);
   playsound(9, 17050,0,0,0);
 int &mcrap = create_sprite(&save_x, &save_y, 5, 188, 1);
 sp_seq(&mcrap, 188);
wait(100);
   playsound(9, 22050,0,0,0);
 int &mcrap = create_sprite(&save_x, &save_y, 5, 189, 1);
 sp_seq(&mcrap, 189);
wait(100);
 wait(500);
       say_stop("干得好！ Jack！",1);
       
 wait(500);

       say_stop("`6打扫干净。", &current_sprite);
 wait(500);

   say_stop("`#<哭泣> 丁克... 我..没想到你也是这样的。",&temp2hold);
 wait(500);
       say_stop("啊哈哈哈哈，我可是大魔王。",1);

       unfreeze(&temp2hold);

        }


   unfreeze(1);
   unfreeze(&current_sprite);
   return;

}

void hit(void)
{
Say("`6你找死！", &current_sprite);
sp_touch_damage(&current_sprite, 10);
sp_speed(&current_sprite, 2);
sp_brain(&current_sprite, 9);
sp_target(&current_sprite, 1):
}

void die(void)
{
script_attach(1000);
freeze(1);
freeze(&temp2hold);
wait(500);
say_stop("`#丁克！你做的好事！", &temp2hold);
wait(500);
say_stop("'我，我宰了你那坏丈夫。", 1);
wait(500);
say_stop("`#Jack 以前不是这样的，他.. <大哭>", &temp2hold);
wait(500);
say_stop("我明白，没事，我在呢。", 1);
&exp += 100;
&s2-aunt = 4;
unfreeze(1);
unfreeze(&temp2hold);
}
